Tesseract 3.02

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Types | Public Member Functions
_TessMemberResultCallback_0_0< del, R, T > Class Template Reference

`#include <tesscallback.h>`

Inheritance diagram for _TessMemberResultCallback_0_0< del, R, T >:

List of all members.

## Public Types

typedef TessResultCallback< R > | base
typedef R(T::* | MemberSignature )()

## Public Member Functions

| _TessMemberResultCallback_0_0 (T *object, MemberSignature member)
virtual R | Run ()
Public Member Functions inherited from TessResultCallback< R >
virtual | ~TessResultCallback ()

## Detailed Description

### template<bool del, class R, class T>
class _TessMemberResultCallback_0_0< del, R, T >

Definition at line 124 of file tesscallback.h.

## Member Typedef Documentation

template<bool del, class R, class T>

typedef TessResultCallback<R> _TessMemberResultCallback_0_0< del, R, T >::base

Definition at line 126 of file tesscallback.h.

template<bool del, class R, class T>

typedef R(T::* _TessMemberResultCallback_0_0< del, R, T >::MemberSignature)()

Definition at line 127 of file tesscallback.h.

## Constructor & Destructor Documentation

template<bool del, class R, class T>

_TessMemberResultCallback_0_0< del, R, T >::_TessMemberResultCallback_0_0 | ( | T * | object,
|  | MemberSignature | member
| ) |  |

inline

Definition at line 134 of file tesscallback.h.

: object_(object),
member_(member) {
}

## Member Function Documentation

template<bool del, class R, class T>

virtual R _TessMemberResultCallback_0_0< del, R, T >::Run | ( |  | ) |

inline virtual

Implements TessResultCallback< R >.

Definition at line 140 of file tesscallback.h.

{
if (!del) {
R result = (object_->*member_)();
return result;
} else {
R result = (object_->*member_)();
// zero out the pointer to ensure segfault if used again
member_ = NULL;
delete this;
return result;
}
}

The documentation for this class was generated from the following file:

- /mnt/data/src/tesseract-ocr/ccutil/tesscallback.h